Compatibility Rated 3 out of 5 stars

A great add-on.but update it please.
Need compatibility with Firefox 3.6.

This review is for a previous version of the add-on (20100121).